/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workeffect.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.workeffectdetail.entity.WorkEffectDetail;

import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * 绩效Entity
 * @author ssrh
 * @version 2018-09-11
 */
public class WorkEffect extends DataEntity<WorkEffect> {
	
	private static final long serialVersionUID = 1L;
	private Date month;		// 月份
	private String companyId;		// 公司
	private Office office;		// 部门
	private String officeNum;		// 部门人数
	private String effectNum;		// 绩效人数
	private String effectMoney;		// 绩效总金额
	private String status;		// 状态 (effect_status 1未获取2已获取)

	//绩效明细
	private List<WorkEffectDetail> effectDetailList = Lists.newArrayList();
	public WorkEffect() {
		super();
	}

	public WorkEffect(String id){
		super(id);
	}

	public List<WorkEffectDetail> getEffectDetailList() {
		return effectDetailList;
	}

	public void setEffectDetailList(List<WorkEffectDetail> effectDetailList) {
		this.effectDetailList = effectDetailList;
	}

	public Date getMonth() {
		return month;
	}

	public void setMonth(Date month) {
		this.month = month;
	}

	@ExcelField(title="公司", align=2, sort=8)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}

	@ExcelField(title="部门人数", align=2, sort=10)
	public String getOfficeNum() {
		return officeNum;
	}

	public void setOfficeNum(String officeNum) {
		this.officeNum = officeNum;
	}
	
	@ExcelField(title="绩效人数", align=2, sort=11)
	public String getEffectNum() {
		return effectNum;
	}

	public void setEffectNum(String effectNum) {
		this.effectNum = effectNum;
	}
	
	@ExcelField(title="绩效总金额", align=2, sort=12)
	public String getEffectMoney() {
		return effectMoney;
	}

	public void setEffectMoney(String effectMoney) {
		this.effectMoney = effectMoney;
	}
	
	@ExcelField(title="状态", align=2, sort=13)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
}